<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="en__intr__type_8h" kind="file" language="C++">
    <compoundname>en_intr_type.h</compoundname>
      <sectiondef kind="enum">
      <memberdef id="group__group__sysint__enums_1ga8010dee187715cab833c8564fccedc20" kind="enum" prot="public" static="no">
        <name>cy_en_intr_t</name>
        <briefdescription>
<para><bold>cy_en_intr_t: </bold><linebreak />The enumerated type representing interrupt numbers that can be routed to the CM0+ Nested Vector Interrupt Controller (NVIC). Interrupt numbers are device-dependent. Refer to a device-specific header file, e.g. &lt;PDL_DIR&gt;/devices/include/cy8c637bzi_bld74.h for the specific enumerations for each interrupt number for that device.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="12" bodyfile="mainpage/en_intr_type.h" bodystart="12" column="1" file="mainpage/en_intr_type.h" line="12" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="preprocessor">#if<sp />0</highlight><highlight class="normal" /></codeline>
<codeline lineno="2"><highlight class="normal" /></codeline>
<codeline lineno="3"><highlight class="normal">The<sp />enumerated<sp />type<sp />representing<sp />interrupt<sp />numbers<sp />that<sp />can<sp />be<sp />routed<sp />to<sp />the<sp />CM0+<sp />Nested<sp />Vector<sp />Interrupt<sp />Controller<sp />(NVIC).<sp />Interrupt<sp />numbers<sp />are<sp />device-dependent.<sp />Refer<sp />to<sp />a<sp />device-specific<sp />header<sp />file,<sp />e.g.<sp />\&lt;PDL_DIR\&gt;/devices/include/cy8c637bzi_bld74.h<sp /><sp /></highlight><highlight class="keywordflow">for</highlight><highlight class="normal"><sp />the<sp />specific<sp />enumerations<sp /></highlight><highlight class="keywordflow">for<sp />each</highlight><highlight class="normal"><sp />interrupt<sp />number<sp /></highlight><highlight class="keywordflow">for</highlight><highlight class="normal"><sp />that<sp />device.</highlight></codeline>
<codeline lineno="5"><highlight class="normal">#endif</highlight></codeline>
<codeline lineno="6"><highlight class="normal" /></codeline>
<codeline lineno="12"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal"><sp />{}<sp /><ref kindref="member" refid="group__group__sysint__enums_1ga8010dee187715cab833c8564fccedc20">cy_en_intr_t</ref>;</highlight></codeline>
<codeline lineno="15"><highlight class="comment">/*<sp />[]<sp />END<sp />OF<sp />FILE<sp />*/</highlight><highlight class="normal" /></codeline>
    </programlisting>
    <location file="mainpage/en_intr_type.h" />
  </compounddef>
</doxygen>